org.apache.cassandra.io.sstable

## Class IndexInfo

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexInfo

    public class IndexInfo
    extends java.lang.Object

`IndexInfo` is embedded in the indexed version of `RowIndexEntry`. Each instance roughly covers a range of `column_index_size_in_kb` kB and contains the first and last clustering value (or slice bound), its offset in the data file and width in the data file.

Each `IndexInfo` object is serialized as follows.

Serialization format changed in 3.0; the `endOpenMarker` has been introduced and integer fields are stored using varint encoding.

`(*) IndexInfo.firstName (ClusteringPrefix serializer, either Clustering.serializer.serialize or Slice.Bound.serializer.serialize) (*) IndexInfo.lastName (ClusteringPrefix serializer, either Clustering.serializer.serialize or Slice.Bound.serializer.serialize) (long) IndexInfo.offset (long) IndexInfo.width (bool) IndexInfo.endOpenMarker != null (if 3.0) (int) IndexInfo.endOpenMarker.localDeletionTime (if 3.0 && IndexInfo.endOpenMarker != null) (long) IndexInfo.endOpenMarker.markedForDeletionAt (if 3.0 && IndexInfo.endOpenMarker != null)`

### Nested Class Summary

Nested Classes
`static class` `IndexInfo.Serializer`

### Field Summary

Fields
`DeletionTime` `endOpenMarker`
`ClusteringPrefix` `firstName`
`ClusteringPrefix` `lastName`
`long` `offset`
`long` `width`

### Constructor Summary

Constructors
Constructor and Description
`IndexInfo(ClusteringPrefix firstName, ClusteringPrefix lastName, long offset, long width, DeletionTime endOpenMarker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `unsharedHeapSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### offset

    public final long offset

#### width

    public final long width

#### firstName

    public final ClusteringPrefix firstName

#### lastName

    public final ClusteringPrefix lastName

#### endOpenMarker

    public final DeletionTime endOpenMarker

### Constructor Detail

#### IndexInfo

    public IndexInfo(ClusteringPrefix firstName,
                     ClusteringPrefix lastName,
                     long offset,
                     long width,
                     DeletionTime endOpenMarker)

### Method Detail

#### unsharedHeapSize

    public long unsharedHeapSize()